package Modelo;

/**
 * Clase que guarda la información propia de los periódicos.
 * @author Adrián
 */
public class Periodico {
    String nombre_periodico;
    String tipo_informacion;
    String link;
    boolean uso;
    /**
     * 
     * @return Getter que devuelve el nombre del periódico. 
     */
    public String getNombre_periodico() {
        return nombre_periodico;
    }
    /**
     * Establece el nombre del periódico.
     * @param nombre_periodico 
     */
    public void setNombre_periodico(String nombre_periodico) {
        this.nombre_periodico = nombre_periodico;
    }
    /**
     * 
     * @return Getter que devuelve el tipo de información.
     */
    public String getTipo_informacion() {
        return tipo_informacion;
    }
    /**
     * Establece el tipo de información de la instancia.
     * @param tipo_informacion 
     */
    public void setTipo_informacion(String tipo_informacion) {
        this.tipo_informacion = tipo_informacion;
    }
    /**
     * 
     * @return Getter que devuelve el valor de la URL.
     */
    public String getLink() {
        return link;
    }
    /**
     * Establece el valor de la URL de la instancia.
     * @param link 
     */
    public void setLink(String link) {
        this.link = link;
    }
    /**
     * 
     * @return Devuelve el valor booleano de la variable uso, es decir, si ese link se va a utilizar o no.
     */
    public boolean isUso() {
        return uso;
    }
    /**
     * Establece si se va a utilizar o no, la instancia.
     * @param uso 
     */
    public void setUso(boolean uso) {
        this.uso = uso;
    }
}