package Principal;

import Controlador.control_StartWindow;
import Modelo.Periodico;
import Modelo.UsoBD;
import Vista.StartWindow;


public class Main {
/**
 * Clase main,con la que inicia la herramienta.
 * Se crea una instancia de la clase Periodico para obtener información de 
 * la base de datos.
 * Se crea una instancia de la clase UsoBD, encargada de realizar interacciones
 * con la base de datos.
 * Se incia la vista StarWindow, así como su controlador.
 * @param args 
 */
    public static void main(String[] args) {
        Periodico per = new Periodico();
        UsoBD mod = new UsoBD();
        StartWindow frm = new StartWindow();
        control_StartWindow ctrl = new control_StartWindow(per,mod,frm);
        ctrl.iniciar();
        frm.setVisible(true);
        frm.setResizable(false);
    }
}
