package Vista;

/**
 * Clase que contiene la realización de los componentes de la interfaz gráfica
 * correspondientes con la vista de Ventana inicial.
 * @author Adrián
 */
public class StartWindow extends javax.swing.JFrame {
        
    public StartWindow() {
        initComponents();
    }

    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        Elección = new javax.swing.ButtonGroup();
        El_Pais = new javax.swing.JCheckBox();
        La_Vanguardia = new javax.swing.JCheckBox();
        ABC = new javax.swing.JCheckBox();
        Inicio = new javax.swing.JButton();
        Valor = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        Ultimo = new javax.swing.JCheckBox();
        Opinion = new javax.swing.JCheckBox();
        Economia = new javax.swing.JCheckBox();
        Cultura = new javax.swing.JCheckBox();
        Deportes = new javax.swing.JCheckBox();
        Titulares = new javax.swing.JRadioButton();
        Horas = new javax.swing.JRadioButton();
        Todos = new javax.swing.JButton();
        Eliminar = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setBackground(new java.awt.Color(51, 255, 255));
        setLocation(new java.awt.Point(140, 100));

        El_Pais.setText("El Pais");

        La_Vanguardia.setText("La Vanguardia");

        ABC.setText("ABC");

        Inicio.setText("Inicio");

        Valor.setToolTipText("");

        Ultimo.setText("Último");
        Ultimo.setEnabled(false);

        Opinion.setText("Opinión");
        Opinion.setEnabled(false);

        Economia.setText("Economía");
        Economia.setEnabled(false);

        Cultura.setText("Cultura");
        Cultura.setEnabled(false);

        Deportes.setText("Deportes");
        Deportes.setEnabled(false);

        Elección.add(Titulares);
        Titulares.setText("Número de titulares");

        Elección.add(Horas);
        Horas.setText("Número de horas");

        Todos.setText("Seleccionar todos");

        Eliminar.setText("Eliminar selecciones");
        Eliminar.setEnabled(false);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(145, 145, 145)
                .addComponent(jLabel3)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(Horas)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(Titulares)
                        .addGap(67, 67, 67)
                        .addComponent(Valor, javax.swing.GroupLayout.PREFERRED_SIZE, 70, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGap(55, 187, Short.MAX_VALUE))
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(El_Pais)
                    .addComponent(La_Vanguardia)
                    .addComponent(ABC))
                .addGap(88, 88, 88)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(Ultimo)
                    .addComponent(Economia)
                    .addComponent(Opinion))
                .addGap(26, 26, 26)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(Cultura)
                    .addComponent(Deportes))
                .addGap(0, 0, Short.MAX_VALUE))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addComponent(Inicio, javax.swing.GroupLayout.PREFERRED_SIZE, 99, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(39, 39, 39))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                            .addComponent(Eliminar, javax.swing.GroupLayout.DEFAULT_SIZE, 150, Short.MAX_VALUE)
                            .addComponent(Todos, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addGap(132, 132, 132))))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addGap(25, 25, 25)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(El_Pais)
                    .addComponent(Ultimo)
                    .addComponent(Cultura))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(La_Vanguardia)
                    .addComponent(Opinion)
                    .addComponent(Deportes))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(ABC)
                    .addComponent(Economia))
                .addGap(23, 23, 23)
                .addComponent(Eliminar)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(Todos)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(Titulares)
                    .addComponent(Valor, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(Horas)
                .addGap(36, 36, 36)
                .addComponent(jLabel3)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(Inicio)
                .addContainerGap(39, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    // Variables declaration - do not modify//GEN-BEGIN:variables
    public javax.swing.JCheckBox ABC;
    public javax.swing.JCheckBox Cultura;
    public javax.swing.JCheckBox Deportes;
    public javax.swing.JCheckBox Economia;
    public javax.swing.JCheckBox El_Pais;
    public javax.swing.ButtonGroup Elección;
    public javax.swing.JButton Eliminar;
    public javax.swing.JRadioButton Horas;
    public javax.swing.JButton Inicio;
    public javax.swing.JCheckBox La_Vanguardia;
    public javax.swing.JCheckBox Opinion;
    public javax.swing.JRadioButton Titulares;
    public javax.swing.JButton Todos;
    public javax.swing.JCheckBox Ultimo;
    public javax.swing.JTextField Valor;
    private javax.swing.JLabel jLabel3;
    // End of variables declaration//GEN-END:variables
}
