package Modelo;

import com.mysql.jdbc.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import javax.swing.JOptionPane;

/**
 * Clase para realizar la conexión con la base de datos.
 * @author Adrián
 */
public class Conexion {

   private Connection conectar = null;

   /**
    * Método para conectarse con la base de datos establecida.
    * Se especifican todos los datos necesarios para la conexión.
    * @return Conexión con la base de datos.
    */ 
   public Connection hazConexion() {
        try {
            Class.forName("com.mysql.jdbc.Driver");
            conectar = (Connection) DriverManager.getConnection("jdbc:mysql://localhost:3306/tfg?autoReconnect=true&useSSL=false", "root", "bicicleta");
        } catch (ClassNotFoundException | SQLException error) {
            JOptionPane.showMessageDialog(null, "Error al Conectarse"+"\n"+error,"Mensaje Error",JOptionPane.ERROR_MESSAGE);
        }
        return conectar;
    }
   
   /**
    * Método para desconectarse de la base de datos
    */
    public void desconectar(){
        try {
            conectar.close();
        } catch (SQLException ex) {
            System.out.println("No se pudo desconectar");
        }
    }
}