package Modelo;

/**
 * Clase que guarda la información propia de las palabras.
 * @author Adrián
 */
public class Palabras {
    String palabra;
    String nombre_periodico;
    String tipo_informacion;
    int contador;
    int num;
    boolean negativa;
    boolean positiva;
    boolean busqueda;
    
    
    /**
     * 
     * @return Devuelve el valor de la palabra.
     */
    public String getPalabra() {
        return palabra;
    }
    /**
     * Establece el valor de la palabra.
     * @param palabra 
     */
    public void setPalabra(String palabra) {
        this.palabra = palabra;
    }
    /**
     * 
     * @return Obtiene el periódico donde ha sido publicada la palabra en concreto.
     */
    public String getNombre_periodico() {
        return nombre_periodico;
    }
    /**
     * Establece el periódico donde ha sido obtenida la palabra en concreto.
     * @param nombre_periodico 
     */
    public void setNombre_periodico(String nombre_periodico) {
        this.nombre_periodico = nombre_periodico;
    }
    /**
     * 
     * @return Obtiene el tipo de información donde ha sido publicada la palabra en concreto.
     */
    public String getTipo_informacion() {
        return tipo_informacion;
    }
    /**
     * Establece el tipo de información donde ha sido obtenida la palabra en concreto.
     * @param tipo_informacion 
     */
    public void setTipo_informacion(String tipo_informacion) {
        this.tipo_informacion = tipo_informacion;
    }
    /**
     * 
     * @return Devuelve el valor de apariciones de la palabra en un mismo titular.
     */
    public int getContador() {
        return contador;
    }
    /**
     * Establece el número de apariciones de la palabra en un mismo titular.
     * @param contador 
     */
    public void setContador(int contador) {
        this.contador = contador;
    }
    /**
     * 
     * @return Devuelve el valor del identificador del titular al que pertenece la palabra.
     */
    public int getNum() {
        return num;
    }
    /**
     * Establece el valor del indentificador de titular al que pertenece la palabra.
     * @param num 
     */
    public void setNum(int num) {
        this.num = num;
    }
    /**
     * 
     * @return Devuelve el valor para ver si la palabra es negativa o no.
     */
    public boolean getNegativa() {
        return negativa;
    }
    /**
     * Establece si la palabra es considerada negativa.
     * @param negativa 
     */
    public void setNegativa(boolean negativa) {
        this.negativa = negativa;
    }
    /**
     * 
     * @return Devuelve el valor para ver si la palabra es positiva o no.
     */
    public boolean getPositiva() {
        return positiva;
    }
    /**
     * Establece si la palabra es considerada positiva.
     * @param positiva 
     */
    public void setPositiva(boolean positiva) {
        this.positiva = positiva;
    }
    /**
     * 
     * @return Devuelve el valor para ver si la palabra es de búsqueda o no.
     */
    public boolean getBusqueda() {
        return busqueda;
    }
    /**
     * Establece si la palabra es considerada de búsqueda.
     * @param busqueda 
     */
    public void setBusqueda(boolean busqueda) {
        this.busqueda = busqueda;
    }
    
}